net.sf.jasperreports.components.table.fill

## Class TableJasperReport

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseReport
  - - net.sf.jasperreports.engine.JasperReport
    - - net.sf.jasperreports.components.table.fill.TableJasperReport

- All Implemented Interfaces:
    java.io.Serializable, JRChangeEventsSupport, JRDefaultStyleProvider, JRIdentifiable, JRPropertiesHolder, JRReport

      public class TableJasperReport
      extends JasperReport

  Version:
    $Id: TableJasperReport.java 6242 2013-06-07 15:01:37Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseReport

      `background, bottomMargin, columnCount, columnDirection, columnFooter, columnHeader, columnSpacing, columnWidth, datasets, defaultStyle, detailSection, formatFactoryClass, ignorePagination, importsSet, isFloatColumnFooter, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, language, lastPageFooter, leftMargin, mainDataset, name, noData, orientationValue, pageFooter, pageHeader, pageHeight, pageWidth, printOrderValue, PROPERTY_WHEN_NO_DATA_TYPE, rightMargin, styles, summary, templates, title, topMargin, whenNoDataTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRReport

      `LANGUAGE_GROOVY, LANGUAGE_JAVA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableJasperReport(JasperReport parentReport, TableReport baseReport, java.io.Serializable compileData, JRBaseObjectFactory factory, java.lang.String compileNameSuffix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableReport` | `getBaseReport()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JasperReport` | `getParentReport()`

    - ### Methods inherited from class net.sf.jasperreports.engine.JasperReport

      `getCompileData, getCompileNameSuffix, getCompilerClass`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseReport

      `copyTemplates, getAllBands, getBackground, getBottomMargin, getColumnCount, getColumnDirection, getColumnFooter, getColumnHeader, getColumnSpacing, getColumnWidth, getDatasets, getDefaultStyle, getDetailSection, getEventSupport, getFields, getFormatFactoryClass, getGroups, getImports, getLanguage, getLastPageFooter, getLeftMargin, getMainDataset, getName, getNoData, getOrientationValue, getPageFooter, getPageHeader, getPageHeight, getPageWidth, getParameters, getPrintOrderValue, getPropertiesMap, getProperty, getPropertyNames, getQuery, getResourceBundle, getRightMargin, getScriptletClass, getScriptlets, getSortFields, getStyles, getSummary, getTemplates, getTitle, getTopMargin, getUUID, getVariables, getWhenNoDataTypeValue, getWhenResourceMissingTypeValue, hasProperties, isFloatColumnFooter, isIgnorePagination, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, removeProperty, setProperty, setWhenNoDataType, setWhenResourceMissingType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableJasperReport

          public TableJasperReport(JasperReport parentReport,
                           TableReport baseReport,
                           java.io.Serializable compileData,
                           JRBaseObjectFactory factory,
                           java.lang.String compileNameSuffix)

  - ### Method Detail

    - #### getParentReport

          public JasperReport getParentReport()

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Overrides:
        `getParentProperties` in class `JRBaseReport`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### getBaseReport

          public TableReport getBaseReport()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com